BulkOutputFormat (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.hadoop

## Class BulkOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>
  - - org.apache.cassandra.hadoop.BulkOutputFormat

- All Implemented Interfaces:
    org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>

  Deprecated.

      @Deprecated
      public class BulkOutputFormat
      extends org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>
      implements org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BulkOutputFormat.NullOutputCommitter` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkOutputFormat()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkOutputSpecs(org.apache.hadoop.fs.FileSystem filesystem, org.apache.hadoop.mapred.JobConf job)` Deprecated.
    `void` | `checkOutputSpecs(org.apache.hadoop.mapreduce.JobContext context)` Deprecated.
    `org.apache.hadoop.mapreduce.OutputCommitter` | `getOutputCommitter(org.apache.hadoop.mapreduce.TaskAttemptContext context)` Deprecated.
    `BulkRecordWriter` | `getRecordWriter(org.apache.hadoop.fs.FileSystem filesystem, org.apache.hadoop.mapred.JobConf job, java.lang.String name, org.apache.hadoop.util.Progressable progress)` Deprecated.
    `BulkRecordWriter` | `getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkOutputFormat

          public BulkOutputFormat()

      Deprecated.

  - ### Method Detail

    - #### getRecordWriter

          @Deprecated
          public BulkRecordWriter getRecordWriter(org.apache.hadoop.fs.FileSystem filesystem,
                                                              org.apache.hadoop.mapred.JobConf job,
                                                              java.lang.String name,
                                                              org.apache.hadoop.util.Progressable progress)
                                                       throws java.io.IOException

      Deprecated.
      Fills the deprecated OutputFormat interface for streaming.
      Specified by:
        `getRecordWriter` in interface `org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
      Throws:
        `java.io.IOException`

    - #### getRecordWriter

          public BulkRecordWriter getRecordWriter(org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                           throws java.io.IOException,
                                                  java.lang.InterruptedException

      Deprecated.
      Specified by:
        `getRecordWriter` in class `org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### checkOutputSpecs

          public void checkOutputSpecs(org.apache.hadoop.mapreduce.JobContext context)

      Deprecated.
      Specified by:
        `checkOutputSpecs` in class `org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`

    - #### getOutputCommitter

          public org.apache.hadoop.mapreduce.OutputCommitter getOutputCommitter(org.apache.hadoop.mapreduce.TaskAttemptContext context)
                                                                         throws java.io.IOException,
                                                                                java.lang.InterruptedException

      Deprecated.
      Specified by:
        `getOutputCommitter` in class `org.apache.hadoop.mapreduce.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### checkOutputSpecs

          @Deprecated
          public void checkOutputSpecs(org.apache.hadoop.fs.FileSystem filesystem,
                                                   org.apache.hadoop.mapred.JobConf job)
                                            throws java.io.IOException

      Deprecated.
      Fills the deprecated OutputFormat interface for streaming.
      Specified by:
        `checkOutputSpecs` in interface `org.apache.hadoop.mapred.OutputFormat<java.nio.ByteBuffer,java.util.List<Mutation>>`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation